aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2017-05-22 17:34:51 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2017-05-22 17:35:27 +0200
commiteef5ee88214fae9422e2069d93724d763ac5d174 (patch)
tree0238edee4199c62dea714e066573cd68f61744ca /community
parent9f9567bc4746ad714b8991695fb141688c7ec700 (diff)
downloadaports-eef5ee88214fae9422e2069d93724d763ac5d174.tar.bz2
aports-eef5ee88214fae9422e2069d93724d763ac5d174.tar.xz
community/nvme-cli: upgrade to 1.3 and move to community
refs #5082
Diffstat (limited to 'community')
-rw-r--r--community/nvme-cli/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/nvme-cli/APKBUILD b/community/nvme-cli/APKBUILD
new file mode 100644
index 0000000000..c687153575
--- /dev/null
+++ b/community/nvme-cli/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Florian Heigl <florian.heigl@gmail.com>
+# Maintainer: Florian Heigl <florian.heigl@gmail.com>
+pkgname=nvme-cli
+pkgver=1.3
+pkgrel=0
+pkgdesc="NVM-Express user space tooling for Linux"
+arch="all"
+url="https://github.com/linux-nvme/nvme-cli"
+license="GPL"
+depends=""
+makedepends="$depends_dev linux-headers coreutils"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp"
+source="$pkgname-$pkgver.tar.gz::https://github.com/linux-nvme/nvme-cli/archive/v${pkgver}.tar.gz
+ "
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ make PREFIX="/usr" || return 1
+}
+
+package() {
+ cd "$builddir"
+ make PREFIX="/usr" DESTDIR="$pkgdir" install
+}
+
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+ mv "$pkgdir"/usr/share/bash_completion.d/nvme \
+ "$subpkgdir"/usr/share/bash-completion/completions/$pkgname
+ rmdir "$pkgdir"/usr/share/bash_completion.d
+}
+
+sha512sums="0794e72124e73af619a71dd01879d178ad48d30155326e854fb5447e0bb5b879049a7a0a2e3b5301a0de1207034fbbdca07ecf647ff7d4085d56dc793271b576 nvme-cli-1.3.tar.gz"